Loading...
Searching...
No Matches
bwWriteBuffer_t Struct Reference

This is only needed for writing bigWig files (and won't be created otherwise) This should be removed from bigWig.h. More...

`#include <bigWig.h>`

## Data Fields

uint64_t | nBlocks
uint32_t | blockSize
uint64_t | nEntries
uint64_t | runningWidthSum
uint32_t | tid
uint32_t | start
uint32_t | end
uint32_t | span
uint32_t | step
uint8_t | ltype
uint32_t | l
void * | p
bwLL * | firstIndexNode
bwLL * | currentIndexNode
bwZoomBuffer_t ** | firstZoomBuffer
bwZoomBuffer_t ** | lastZoomBuffer
uint64_t * | nNodes
uLongf | compressPsz
void * | compressP

## Detailed Description

This is only needed for writing bigWig files (and won't be created otherwise) This should be removed from bigWig.h.

## Field Documentation

## blockSize

uint32_t bwWriteBuffer_t::blockSize

The maximum number of children

## compressP

void* bwWriteBuffer_t::compressP

A compressed buffer of size compressPsz

## compressPsz

uLongf bwWriteBuffer_t::compressPsz

The size of the compression buffer

## currentIndexNode

bwLL* bwWriteBuffer_t::currentIndexNode

The last index node in a linked list

## end

uint32_t bwWriteBuffer_t::end

The end position of the block

## firstIndexNode

bwLL* bwWriteBuffer_t::firstIndexNode

The first index node in the linked list

## firstZoomBuffer

bwZoomBuffer_t** bwWriteBuffer_t::firstZoomBuffer

The first node in a linked list of leaf nodes

## l

uint32_t bwWriteBuffer_t::l

The current size of p. This and the type determine the number of items held

## lastZoomBuffer

bwZoomBuffer_t** bwWriteBuffer_t::lastZoomBuffer

The last node in a linked list of leaf nodes

## ltype

uint8_t bwWriteBuffer_t::ltype

The type of the last entry added

## nBlocks

uint64_t bwWriteBuffer_t::nBlocks

The number of blocks written

## nEntries

uint64_t bwWriteBuffer_t::nEntries

The number of entries processed. This is used for the first contig and determining how the zoom levels are computed

## nNodes

uint64_t* bwWriteBuffer_t::nNodes

The number of leaf nodes per zoom level, useful for determining duplicate levels

## p

void* bwWriteBuffer_t::p

A buffer of size hdr->bufSize

## runningWidthSum

uint64_t bwWriteBuffer_t::runningWidthSum

The running sum of the entry widths for the first contig (again, used for the first contig and computing zoom levels)

## span

uint32_t bwWriteBuffer_t::span

The span of each entry, if applicable

## start

uint32_t bwWriteBuffer_t::start

The start position of the block

## step

uint32_t bwWriteBuffer_t::step

The step size, if applicable

## tid

uint32_t bwWriteBuffer_t::tid

The current TID that's being processed

The documentation for this struct was generated from the following file:

- bigWig.h